## libkolab 1.0.0

=== CMakeLists.txt ===
project(Libkolab)

cmake_minimum_required(VERSION 2.8.9)

option(BUILD_TESTS "Build the tests" TRUE)
option(PYTHON_BINDINGS "Build bindings for python" FALSE)
option(PHP_BINDINGS "Build bindings for php" FALSE)

set(Libkolab_MODULE_DIR ${Libkolab_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${Libkolab_MODULE_DIR})

# only available from cmake-2.8.0
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7)
    cmake_policy(SET CMP0012 NEW)
endif()

# only available from cmake-2.8.4
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7 AND
    ${CMAKE_PATCH_VERSION} GREATER 3)
    cmake_policy(SET CMP0017 NEW)
endif()

# Versioning
# x.y.z scheme
# Development versions are only x.y
#
# i.e.
# 0.1 (0.1 development version towards 0.1.0)
# 0.1.0 (first release)
# 0.1.1 (patch release for 0.1.0)
# 0.2 (0.2 development version towards 0.2.0)
set(Libkolab_VERSION_MAJOR 1)
set(Libkolab_VERSION_MINOR 0)
# Enable the full x.y.z version only for release versions
set(Libkolab_VERSION_PATCH 0)
#set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH})
set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR})
set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})

# set up install directories.
set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE STRING "The directories where to install libraries to")
set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolab)
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolab)

# Make relative paths absolute (needed later on)
foreach(p LIB INCLUDE CMAKECONFIG)
    set(var ${p}_INSTALL_DIR)
    if(NOT IS_ABSOLUTE "${${var}}")
        set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
    endif()
endforeach()

include(MacroLogFeature)

find_package(Qt5Core REQUIRED)


# Do the building
find_package(Libkolabxml 1.1 REQUIRED)
macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "1.0" "Required for reading/writing Kolab XML Objects")

set(QT_REQUIRED_VERSION "5.2.0")

if (Qt5_POSITION_INDEPENDENT_CODE)
    #Requires cmake 2.8.9 (same as -fPIC on gcc)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

set(KDEPIMLIBS_LIB_VERSION "4.71.0")
find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)

find_package(SWIG)

#Show summary of found libraries
macro_display_feature_log()

# add_definitions(-DKDEPIMLIBS_VERSION=((${KdepimLibs_VERSION_MAJOR}<<16)|(${KdepimLibs_VERSION_MINOR}<<8)|(${KDEPIMLIBS_VERSION_PATCH})))
add_definitions(-DKDEPIMLIBS_VERSION_MAJOR=${KdepimLibs_VERSION_MAJOR})
add_definitions(-DKDEPIMLIBS_VERSION_MINOR=${KdepimLibs_VERSION_MINOR})
add_definitions(-DKDEPIMLIBS_VERSION_PATCH=${KdepimLibs_VERSION_PATCH})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fPIC -g -std=c++11")
# message("${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG")

set(KDE_INCLUDES ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES})
set(KDE_LIBRARIES
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::Contacts
    KF5::Mime
    KF5::AkonadiCore
    KF5::AkonadiNotes
)

find_package(Boost REQUIRED)

include_directories(
    ${QT_INCLUDES}
    ${KDE_INCLUDES}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabformatV2
    ${Libkolabxml_INCLUDES}
    ./
)

configure_file(libkolab-version.h.cmake "${CMAKE_BINARY_DIR}/libkolab-version.h" @ONLY)

add_subdirectory(kolabformatV2)
add_subdirectory(conversion)
add_subdirectory(calendaring)
add_subdirectory(icalendar)
add_subdirectory(freebusy)
add_subdirectory(utils)

QT5_WRAP_CPP(CALENDARING_MOC calendaring/event.h)
# QT5_WRAP_CPP(CONVERSION_MOC conversion/qtevent.h conversion/qtduration.h)

set(KOLAB_SRCS
    kolabformat/kolabobject.cpp
    kolabformat/xmlobject.cpp
    kolabformat/formathelpers.cpp
    kolabformat/errorhandler.cpp
    kolabformat/v2helpers.cpp
	kolabformat/mimeobject.cpp
    mime/mimeutils.cpp
    ${CONVERSION_SRCS}
    ${kolabformatv2_SRCS}
    ${CALENDARING_SRCS}
    ${ICALENDAR_SRCS}
    ${CALENDARING_MOC}
    ${CONVERSION_MOC}
    ${FREEBUSY_SRCS}
)

set(KOLAB_LINK_LIBRARIES
    ${Libkolabxml_LIBRARIES}
    ${KDE_LIBRARIES}
    Qt5::Core
    Qt5::Xml
    Qt5::Gui
    Qt5::Widgets
)

if(BUILD_TESTS)
    find_package(Qt5Test REQUIRED)
    #for tests only
    enable_testing()
    add_library(kolab_static STATIC ${KOLAB_SRCS})
    target_link_libraries(kolab_static ${KOLAB_LINK_LIBRARIES} Qt5::Test)
    add_subdirectory(tests)
endif(BUILD_TESTS)

add_library(kolab SHARED ${KOLAB_SRCS})
target_link_libraries(kolab ${KOLAB_LINK_LIBRARIES})
set_target_properties(kolab PROPERTIES VERSION ${Libkolab_VERSION}
                                     SOVERSION ${Libkolab_VERSION_MAJOR})

install(TARGETS kolab EXPORT LibkolabExport
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES
    kolab_export.h
    kolabformat/kolabdefinitions.h
    kolabformat/formathelpers.h
    kolabformat/kolabobject.h
    kolabformat/errorhandler.h
    kolabformat/xmlobject.h
    kolabformat/mimeobject.h
    conversion/kcalconversion.h
    conversion/kabcconversion.h
    conversion/commonconversion.h
    freebusy/freebusy.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

#Get the include directory relative to CMAKECONFIG_INSTALL_DIR
file(RELATIVE_PATH REL_INCLUDE_DIR "${CMAKECONFIG_INSTALL_DIR}" "${INCLUDE_INSTALL_DIR}")
#Assemble the full relative path. This will be used in the LibkolabConfig.cmake, which will be installed in CMAKECONFIG_INSTALL_DIR
set(CONF_INCLUDE_DIRS "\${Libkolab_CMAKE_DIR}/${REL_INCLUDE_DIR}")

install(EXPORT LibkolabExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibkolabTargets.cmake)

configure_file(${Libkolab_MODULE_DIR}/LibkolabConfig.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake @ONLY)
configure_file(${Libkolab_MODULE_DIR}/LibkolabConfigVersion.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake @ONLY)
# Install these two files into the same directory as the generated exports-file.
install(FILES ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})


include(SWIGUtils)
if(PYTHON_BINDINGS)
    generatePythonBindings(shared shared.i)
    add_subdirectory(kolabformat/python)
endif(PYTHON_BINDINGS)

if(PHP_BINDINGS)
    generatePHPBindings(kolabshared shared.i)
    generatePHPBindings(dummy dummy.i)
    add_subdirectory(kolabformat/php)
endif(PHP_BINDINGS)

=== debian/changelog ===
libkolab (1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release using Qt5 and KF5 (LP: #1489392)
  * Sobump from 0 to 1 (rename package accordingly)
  * Import upstream commits to fix compatibility with KDE Applications 15.08
    - upstream_Fix-build-with-Qt-5.5-and-also-adjust-to-the-latest-.patch

 -- Harald Sitter <sitter@kde.org>  Thu, 27 Aug 2015 14:22:41 +0200

=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 9),
               pkg-kde-tools (>= 0.12),
               libkolabxml-dev (>= 1.1.1),
               libboost-program-options-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libxerces-c-dev,
               swig,
               php5-dev (>= 5.3),
               php5-cli,
               python-dev (>= 2.7),
               qtbase5-dev,
               libkf5akonadi-dev,
               libkf5contacts-dev,
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5mime-dev,
               libkf5akonadinotes-dev
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Homepage: http://git.kolab.org/libkolab
Vcs-Git: git://anonscm.debian.org/pkg-kolab/libkolab.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (MIME message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice versa.
  - mime:          MIME message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: php-kolab
Architecture: any
Depends: libkolab1 (= ${binary:Version}),
         php-kolabformat,
         ucf,
         ${php:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: PHP bindings for Kolab Library
 This package provides the Kolab PHP modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab1 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab1 (= ${binary:Version}),
         ${misc:Depends},
         libqt4-dev,
         kdepimlibs5-dev,
         libkolabxml-dev (>= 1.1.1)
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PHPAPI := $(shell php-config --phpapi)
PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPHP_BINDINGS=ON \
		-DPHP_INSTALL_DIR=/usr/lib/php5/$(PHPAPI)/ \
		-DPHP_EXECUTABLE=/usr/bin/php5 \
		-DPHP_INCLUDE_PATH=/usr/include/php5/ \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython2.7.so

override_dh_gencontrol:
	echo "php:Depends=phpapi-${PHPAPI}" >> debian/php-kolab.substvars
	dh_gencontrol

override_dh_install:
	# Install the packages
	dh_install --fail-missing -Xdummy.php

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -V 'libkolab0 (>= 0.5.0)'

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

=== debian/watch ===
version=3
http://mirror.kolabsys.com/pub/releases/libkolab-([0-9\.]+)\.tar\.gz

## libkolab 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 set(Libkolab_VERSION_MAJOR 1)
 set(Libkolab_VERSION_MINOR 0)
 # Enable the full x.y.z version only for release versions
-set(Libkolab_VERSION_PATCH 0)
+set(Libkolab_VERSION_PATCH 2)
 #set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH})
 set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR})
 set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
@@ -57,8 +57,8 @@
 
 
 # Do the building
-find_package(Libkolabxml 1.1 REQUIRED)
-macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "1.0" "Required for reading/writing Kolab XML Objects")
+find_package(Libkolabxml 1.1.1 REQUIRED)
+macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "https://git.kolab.org/diffusion/LKX/" TRUE "1.1.1" "Required for reading/writing Kolab XML Objects")
 
 set(QT_REQUIRED_VERSION "5.2.0")
 
@@ -68,11 +68,13 @@
 endif()
 
 set(KDEPIMLIBS_LIB_VERSION "4.71.0")
+set(KMIME_LIB_VERSION "4.84.0")
+find_package(KF5CoreAddons CONFIG REQUIRED)
 find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Contacts ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Mime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(SWIG)

=== calendaring/CMakeLists.txt ===
set (CALENDARING_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/calendaring.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/event.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/datetimeutils.cpp
    PARENT_SCOPE)

if(PYTHON_BINDINGS)
    message("building python bindings")
    add_subdirectory(python)
endif(PYTHON_BINDINGS)

if(PHP_BINDINGS)
    message("building php bindings")
    add_subdirectory(php)
endif(PHP_BINDINGS)

=== conversion/CMakeLists.txt ===

set (CONVERSION_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kcalconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/kabcconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/commonconversion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabconversion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/timezoneconverter.cpp PARENT_SCOPE)

=== freebusy/CMakeLists.txt ===
set (FREEBUSY_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/freebusy.cpp
    PARENT_SCOPE)

=== icalendar/CMakeLists.txt ===

set (ICALENDAR_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/icalendar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imip.cpp
    PARENT_SCOPE)

if(PYTHON_BINDINGS)
    message("building python bindings")
    add_subdirectory(python)
endif(PYTHON_BINDINGS)

if(PHP_BINDINGS)
    message("building php bindings")
    add_subdirectory(php)
endif(PHP_BINDINGS)

=== tests/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DTEST_DATA_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

macro(addTest TEST_NAME)
    add_executable(${TEST_NAME} ${TEST_NAME}.cpp)
    target_link_libraries(${TEST_NAME} Qt5::Test kolab_static)
    add_test(${TEST_NAME} ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME})
endmacro()

add_executable(benchmarktest benchmark.cpp)
target_link_libraries(benchmarktest ${QT_QTTEST_LIBRARY} kolab_static)

addTest(formattest)
addTest(upgradetest)
addTest(kcalconversiontest)
addTest(calendaringtest)
addTest(icalendartest)
addTest(freebusytest)
addTest(kolabobjecttest)
addTest(timezonetest)
addTest(mimeobjecttest)
addTest(xmlobjecttest)
addTest(debugstreamtest)
addTest(legacyformattest)

if(PHP_BINDINGS)
    find_path(PHP_KOLABFORMAT_PATH NAMES kolabformat.php PATHS /usr/local/lib/php/modules /usr/lib/php/modules PATH_SUFFIXES lib/php/modules lib64/php/modules)
    message("php kolabformat include path for testing ${PHP_KOLABFORMAT_PATH}")
    add_test(phptest php -d enable_dl=On -d include_path='.:/usr/share/pear:${CMAKE_BINARY_DIR}:${CMAKE_BINARY_DIR}/calendaring/php:${PHP_KOLABFORMAT_PATH}' -d extension=${CMAKE_BINARY_DIR}/lib/kolabcalendaring.so -d extension=${CMAKE_BINARY_DIR}/lib/kolabshared.so -d extension=${PHP_KOLABFORMAT_PATH}/kolabformat.so ${CMAKE_SOURCE_DIR}/calendaring/php/test.php --verbose)
endif()

=== calendaring/php/CMakeLists.txt ===
#Generate PHP wrapper
include_directories(../)
include(SWIGUtils)
generatePHPBindings(kolabcalendaring ../calendaring.i)

=== calendaring/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(calendaring ../calendaring.i)

=== kolabformat/php/CMakeLists.txt ===
#Generate PHP wrapper
include_directories(../)
include(SWIGUtils)
generatePHPBindings(kolabobject ../kolabobject.i)

=== debian/changelog ===
libkolab (1.0.2-3) unstable; urgency=medium

  * Merge nmu 0.6.0-3.1 changes (Closes: #821686)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Jul 2016 19:36:52 +0200

libkolab (1.0.2-2) unstable; urgency=low

  [ Diane Trout ]
  * Bump libkf5akonadi-dev and notes-dev build deps to 4:15.12

  [ Maximiliano Curia ]
  * Update symbols files.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 13:06:34 +0200

libkolab (1.0.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Bump build deps to 15.12, because newer kmime is needed
  * remove patch to compile with 15.08
  * update symbols

 -- Diane Trout <diane@ghic.org>  Wed, 03 Feb 2016 23:37:04 -0800

libkolab (1.0.0-1) experimental; urgency=medium

  [Sandro Knauß]
  * New upstream release.
  * Updated patch hunks.
  * Delete unused lintian overrides.
  * Use symbolfiles instead of shlibs.
  * Add breaks/replaces for libkolab0v5

  [Harald Sitter]
  * Updated dependencies using Qt5 and KF5.
  * Sobump from 0 to 1 (rename package accordingly)
  * Import upstream commits to fix compatibility with KDE Applications 15.08
    - upstream_Fix-build-with-Qt-5.5-and-also-adjust-to-the-latest-.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 25 Nov 2015 00:52:31 +0100

=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>,
           Diane Trout <diane@ghic.org>,
           Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               libboost-program-options-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libkf5akonadi-dev (>= 4:15.12.0),
               libkf5akonadinotes-dev (>= 4:15.12.0),
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5contacts-dev,
               libkf5mime-dev (>=15.12.0),
               libkolabxml-dev (>= 1.1.1),
               libxerces-c-dev,
               pkg-kde-tools (>= 0.12),
               python-dev (>= 2.7),
               python3-dev,
               qtbase5-dev,
               swig
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Homepage: http://git.kolab.org/libkolab
Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolab.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab1
Architecture: any
Breaks: libkolab0, libkolab0v5
Replaces: libkolab0, libkolab0v5
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (MIME message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice versa.
  - mime:          MIME message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python 2 bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.
 .
 This contains the Python 2 bindings.

Package: python3-kolab
Architecture: any
Section: python
Depends: libkolab1 (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.
 .
 This contains the Python 3 bindings.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev,
         libkf5akonadinotes-dev,
         libkf5calendarcore-dev,
         libkf5calendarutils-dev,
         libkf5contacts-dev,
         libkf5mime-dev,
         libkolab1 (= ${binary:Version}),
         libkolabxml-dev (>= 1.1.1),
         ${misc:Depends}
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

PYTHON2_SITEARCH := $(shell python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
PYTHON3_SITEARCH := $(shell python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib(1))')
export BUILD_PY3 := build-py3

# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,python3,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON2_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython2.7.so
	dh_auto_configure --builddirectory=$(BUILD_PY3) -- \
		-DPHP_BINDINGS=OFF \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON3_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/python3.5 \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython3.5m.so

override_dh_auto_build:
	dh_auto_build --parallel --builddirectory=$(BUILD_PY3)
	dh_auto_build --parallel

override_dh_auto_install:
	# Install the packages
	dh_auto_install --builddirectory=$(BUILD_PY3)
	dh_auto_install

override_dh_install:
	dh_install --fail-missing -Xdummy.php

override_dh_auto_test:

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILD_PY3)

=== debian/watch ===
version=3
opts="pgpmode=self" \
http://mirror.kolabsys.com/pub/releases/libkolab-([0-9\.]+)\.tar\.gz\.gpg
